/* Form Layout */
#formBox,
#smallformBox,
#smallformWithButtonsBox
{
    position: absolute;
    z-index: 1000;
}

#formBox h2,
#smallformBox h2,
#smallformWithButtonsBox h2
{
    text-align: center;
}

#formContent
{
    position: absolute;
    left: 0;
    right: 0;
    overflow-y: auto;
    overflow-x: hidden;
}

#formBox #formContent,
#smallformBox #formContent
{
    bottom: 0;
}

#smallformWithButtonsBox #formContent
{
    bottom: 6vh;
}

/* login form */
#loginBox
{
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    text-align: center;
}

#microsoftLoginArea
{
    padding-top: 7vh;
}

#ms_login_icon
{
    height: 25vh;
}

#localLoginArea
{
    display: none;
    padding-top: 7vh;
    text-align: left;
}

#btn_login
{
    display: inline-block;
    margin: 1vh auto 1vh auto;
    width: 80%;
}

#btn_cancel
{
    text-align: center;
    position: absolute;
}

#btn_submit
{
    text-align: center;
    position: absolute;
}

input,
select
{
    width: 80%;
    font-size: 2vh;
    height: 4vh;
    margin: 0 0 1vh 10%;
}

#listHeader select,
#listHeader input
{
    width: 30%;
}

#listHeader h3
{
    margin-left: 1%;
}

.inputRow input,
.inputRow h3
{
    margin: 0 0 1vh 10%;
}
.inputRow .multi
{
    margin: 0 0 1vh 0;
}

.multiInputRow input
{
    margin: 0 2vw 1vh 2vw;
}

.imgFileBox
{
    width: 80%;
    margin-left: 10%;
}
.imageFileBorder
{
    height: 10vh;
    width: 10vh;
    background-color: black;
    border-radius: 20%;
}
.imageFileBorder .bg
{
    margin: 5%;
    width: 90%;
    height: 90%;
    border-radius: 20%;
}
.imageFileBorder img
{
    width: 100%;
    height: 100%;
    border-radius: 20%;
}
.imageFile
{
    width: 70%;
    overflow: hidden;
    vertical-align: top;
}


input[type=checkbox]
{
    width: 7%;
    margin: 1vh 0 1vh 1vw;
}

input:read-only
{
    background-color: #ddd;
    color: #333;
}

/* list layout */
#optionsArea
{
    text-align: center;
}
#optionsArea .button
{
    width: 80%;
    margin: 1vh 10% 0 10%;
}

.rowAvatar
{
    height: 4vh;;
    width: 4vh;
    border-radius: 50%;
    overflow: hidden;
}
.rowAvatar img
{
    height: 100%;
    width: 100%;
    max-width: 6vh;
    border-radius: 50%;
}

@media screen and (orientation: landscape)
{

    #formBox
    {
        top: 5vh;
        bottom: 5vh;
        left: 7.5vw;
        right: 7.5vw;
        box-shadow: .5vw 1vh 2vh .5vh black;
    }

    #smallformBox,
    #smallformWithButtonsBox
    {
        top: 15vh;
        bottom: 15vh;
        left: 20vw;
        right: 20vw;
        box-shadow: .5vw 1vh 2vh .5vh black;
    }

    #formContent
    {
        top: 6vh;
    }

    #smallFormButtonArea
    {
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        height: 7vh;
    }

    #btn_cancel
    {
        bottom: .5vw;
        right: 12vw;
        width: 10vw;
    }

    #btn_submit
    {
        bottom: .5vw;
        right: 1vw;
        width: 10vw;
    }

    /* Layout 3 Colunas */
    #t3col1
    {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 33%;
    }

    #t3col2
    {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 33.5%;
        width: 33%;
    }

    #t3col3
    {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 67%;
        width: 33%;
    }

    /* List layout */
    #listHeader
    {
        position: absolute;
        left: 0;
        top: 0;
        height: 6vh;
        width: 80%;
        overflow: hidden;
    }

    #listContent
    {
        position: absolute;
        left: 0;
        top: 6vh;
        bottom: 0;
        width: 80%;
        overflow-y: auto;
    }

    #optionsArea
    {
        position: absolute;
        right: 0;
        top: 0;
        bottom: 0;
        width: 20%;
        overflow-y: auto;
    }

    /* file */
    .imgFileBox,
    .imageFile
    {
        height: 14vh;
    }
    .imageFile .button
    {
        width: 15vw;
    }
}


@media screen and (orientation: portrait)
{
    #formBox,
    #smallformBox,
    #smallformWithButtonsBox
    {
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
    }

    #formContent
    {
        top: 10vh;
    }


    /* List layout */
    #listHeader
    {
        position: absolute;
        left: 0;
        top: 0;
        height: 6vh;
        width: 100%;
        overflow: hidden;
    }

    #listContent
    {
        position: absolute;
        left: 0;
        top: 6vh;
        bottom: 10vh;
        width: 100%;
        overflow-y: auto;
    }

    #optionsArea
    {
        position: absolute;
        height: 10vh;
        right: 0;
        left: 0;
        bottom: 0;
        width: 100%;
        overflow-y: auto;
    }

    #smallFormButtonArea
    {
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        height: 6vh;
    }
    #btn_cancel
    {
        height: 4vh;
        bottom: 1vh;
        left: 2vw;
        width: 47vw;
    }

    #btn_submit
    {
        height: 4vh;
        bottom: 1vh;
        right: 2vw;
        width: 47vw;
    }

    /* file */
    .imgFileBox,
    .imageFile
    {
        height: 20vh;
    }
    .imageFile .button
    {
        width: 50vw;
    }


}
